curl --request POST \
--url https://app.tagadapay.com/api/public/v1/plugins/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'pluginData={"pluginId":"sample-funnel","version":"1.0.0","name":"Sample Funnel Plugin","description":"A sample funnel plugin","author":"Tagada Pay Team","homepage":"https://github.com/tagadapay/sample-funnel-plugin","storeId":"store_123","mode":"direct-mode"}'{
"success": true,
"deployment": {
"pluginId": "sample-funnel",
"version": "1.0.0",
"url": "https://blob.vercel-storage.com/plugins/sample-funnel/1.0.0/plugin.zip",
"deployedAt": "2024-03-20T10:30:00Z",
"size": 1024000
},
"message": "Plugin Sample Funnel Plugin v1.0.0 deployed successfully"
}Deploy a new version of a plugin to the CMS from the CLI tool. Supports custom domains for direct-mode plugins. Validates that custom domain + path combinations are unique to prevent conflicts.
curl --request POST \
--url https://app.tagadapay.com/api/public/v1/plugins/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'pluginData={"pluginId":"sample-funnel","version":"1.0.0","name":"Sample Funnel Plugin","description":"A sample funnel plugin","author":"Tagada Pay Team","homepage":"https://github.com/tagadapay/sample-funnel-plugin","storeId":"store_123","mode":"direct-mode"}'{
"success": true,
"deployment": {
"pluginId": "sample-funnel",
"version": "1.0.0",
"url": "https://blob.vercel-storage.com/plugins/sample-funnel/1.0.0/plugin.zip",
"deployedAt": "2024-03-20T10:30:00Z",
"size": 1024000
},
"message": "Plugin Sample Funnel Plugin v1.0.0 deployed successfully"
}